Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationFactory.PropertyListConfigurationFactory

    java.lang.Object
      org.apache.commons.digester.AbstractObjectCreationFactory
          org.apache.commons.configuration.ConfigurationFactory.DigesterConfigurationFactory
              org.apache.commons.configuration.ConfigurationFactory.FileConfigurationFactory
                  org.apache.commons.configuration.ConfigurationFactory.PropertyListConfigurationFactory

All Implemented Interfaces:
  ObjectCreationFactory

Enclosing class:
  ConfigurationFactory

    public class ConfigurationFactory.PropertyListConfigurationFactory

extends ConfigurationFactory.FileConfigurationFactory

A factory that returns an XMLPropertyListConfiguration for .xml files and a PropertyListConfiguration for the others.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`digester`

Constructor Summary
`ConfigurationFactory.PropertyListConfigurationFactory()` Creates a new instance of `PropertyListConfigurationFactory`.

Method Summary
`protected FileConfiguration` | `createConfiguration(Attributes attributes)` Creates the new configuration object.

Methods inherited from class org.apache.commons.configuration.ConfigurationFactory.FileConfigurationFactory
`createObject`

Methods inherited from class org.apache.commons.digester.AbstractObjectCreationFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationFactory.PropertyListConfigurationFactory

    public ConfigurationFactory.PropertyListConfigurationFactory()

  Creates a new instance of `PropertyListConfigurationFactory`.

Method Detail

### createConfiguration

    protected FileConfiguration createConfiguration(Attributes attributes)
                                             throws Exception

  Creates the new configuration object. Based on the file name provided in the attributes either a `XMLPropertyListConfiguration` or a `PropertyListConfiguration` object will be returned.

  Overrides:
    `createConfiguration` in class `ConfigurationFactory.FileConfigurationFactory`
  Parameters:
    `attributes` - the attributes
  Returns:
    the new configuration object
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.